Futures Data

Get funding settlements

GET/futures/funding-settlementsPublic

Get the funding settlement history. A settlement happens every 8 hours (00:00, 08:00, 16:00 UTC). See the Funding documentation for more information.

Query Parameters

from?string

Start date, unix epoch 0 by default

Formatdate-time
Default"1970-01-01T00:00:00.000Z"
to?string

End date, default to current time

Formatdate-time
Default"2026-09-12T10:28:28.259Z"
limit?integer

Number of entries to return, default to 1000

Range1 <= value <= 1000
Default1000
cursor?string

Cursor for pagination

Formatdate-time

Response Body

OK

application/json
  1. response
data*array<>
nextCursor*|

Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.

import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient()const result = await client.futures.getFundingSettlements({  from: '1970-01-01T00:00:00.000Z',  to: '2026-09-12T10:28:26.634Z',  limit: 500})
{  "data": [    {      "id": "f0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",      "time": "2025-01-01T00:00:00.000Z",      "fixingPrice": 43250,      "fundingRate": 0.0001    }  ],  "nextCursor": "2024-01-15T10:30:00.000Z"}